path: /build/build/nghttp2-net-libs-1.62.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/nghttp2 && luet-portage --dir
    /pkgdir/nghttp2 net-libs/nghttp2
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:32579ca0a39d4b036629afc49930b9998a3781704b4ee18a72aec397f78b8a8c
  package:
    id: 0
    name: nghttp2
    version: 1.62.1
    category: net-libs
    useflags:
    - -hpack-tools
    - -jemalloc
    - -libressl
    - -test
    - -utils
    - cxx
    - xml
    state: ""
    packagerequires:
    - id: 0
      name: funtoo-base
      version: '>=0'
      category: seed
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: HTTP/2 C Library
    uri:
    - https://nghttp2.org/
    license: MIT
    buildtimestamp: 2024-08-14 14:13:01.631129964 +0000 UTC m=+31.658597510
    labels:
      DEPEND: cxx? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist] ) libressl?
        ( dev-libs/libressl:= ) dev-libs/boost:=[threads(+)] ) hpack-tools? ( >=dev-libs/jansson-2.5
        ) jemalloc? ( dev-libs/jemalloc ) utils? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist]
        ) libressl? ( dev-libs/libressl:= ) >=dev-libs/libev-4.15 >=sys-libs/zlib-1.2.3
        net-dns/c-ares:= ) xml? ( >=dev-libs/libxml2-2.7.7:2 ) virtual/pkgconfig test?
        ( >=dev-util/cunit-2.1 )
      IUSE: cxx debug hpack-tools jemalloc libressl static-libs test +threads utils
        xml
      RDEPEND: cxx? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist] ) libressl?
        ( dev-libs/libressl:= ) dev-libs/boost:=[threads(+)] ) hpack-tools? ( >=dev-libs/jansson-2.5
        ) jemalloc? ( dev-libs/jemalloc ) utils? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist]
        ) libressl? ( dev-libs/libressl:= ) >=dev-libs/libev-4.15 >=sys-libs/zlib-1.2.3
        net-dns/c-ares:= ) xml? ( >=dev-libs/libxml2-2.7.7:2 )
      emerge.packages: net-libs/nghttp2
      kit: core-kit
      original.package.name: net-libs/nghttp2
      original.package.slot: "0"
      original.package.version: 1.62.1
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/nghttp2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1497123d02630b3ecfda447c50e27e892b09eb150d473f635ed31bfbc56c0828
compressiontype: zstd
files:
- usr/include/nghttp2/nghttp2.h
- usr/include/nghttp2/nghttp2ver.h
- usr/lib64/libnghttp2.so
- usr/lib64/libnghttp2.so.14
- usr/lib64/libnghttp2.so.14.28.1
- usr/lib64/pkgconfig/libnghttp2.pc
- usr/share/doc/nghttp2-1.62.1/AUTHORS.bz2
- usr/share/doc/nghttp2-1.62.1/ChangeLog.bz2
- usr/share/doc/nghttp2-1.62.1/README
- usr/share/doc/nghttp2-1.62.1/README.rst.bz2
- usr/share/man/man1/h2load.1.bz2
- usr/share/man/man1/nghttp.1.bz2
- usr/share/man/man1/nghttpd.1.bz2
- usr/share/man/man1/nghttpx.1.bz2
- usr/share/nghttp2/fetch-ocsp-response
- var/db/pkg/net-libs/nghttp2-1.62.1/BUILD_TIME
- var/db/pkg/net-libs/nghttp2-1.62.1/CATEGORY
- var/db/pkg/net-libs/nghttp2-1.62.1/CBUILD
- var/db/pkg/net-libs/nghttp2-1.62.1/CFLAGS
- var/db/pkg/net-libs/nghttp2-1.62.1/CHOST
- var/db/pkg/net-libs/nghttp2-1.62.1/CONTENTS
- var/db/pkg/net-libs/nghttp2-1.62.1/COUNTER
- var/db/pkg/net-libs/nghttp2-1.62.1/CXXFLAGS
- var/db/pkg/net-libs/nghttp2-1.62.1/DEFINED_PHASES
- var/db/pkg/net-libs/nghttp2-1.62.1/DEPEND
- var/db/pkg/net-libs/nghttp2-1.62.1/DESCRIPTION
- var/db/pkg/net-libs/nghttp2-1.62.1/EAPI
- var/db/pkg/net-libs/nghttp2-1.62.1/FEATURES
- var/db/pkg/net-libs/nghttp2-1.62.1/HOMEPAGE
- var/db/pkg/net-libs/nghttp2-1.62.1/IUSE
- var/db/pkg/net-libs/nghttp2-1.62.1/IUSE_EFFECTIVE
- var/db/pkg/net-libs/nghttp2-1.62.1/KEYWORDS
- var/db/pkg/net-libs/nghttp2-1.62.1/LDFLAGS
- var/db/pkg/net-libs/nghttp2-1.62.1/LICENSE
- var/db/pkg/net-libs/nghttp2-1.62.1/NEEDED
- var/db/pkg/net-libs/nghttp2-1.62.1/PF
- var/db/pkg/net-libs/nghttp2-1.62.1/PROVIDES
- var/db/pkg/net-libs/nghttp2-1.62.1/RDEPEND
- var/db/pkg/net-libs/nghttp2-1.62.1/REQUIRES
- var/db/pkg/net-libs/nghttp2-1.62.1/SIZE
- var/db/pkg/net-libs/nghttp2-1.62.1/SLOT
- var/db/pkg/net-libs/nghttp2-1.62.1/USE
- var/db/pkg/net-libs/nghttp2-1.62.1/environment.bz2
- var/db/pkg/net-libs/nghttp2-1.62.1/nghttp2-1.62.1.ebuild
- var/db/pkg/net-libs/nghttp2-1.62.1/repository
package_cacheimage: ""
runtime:
  id: 0
  name: nghttp2
  version: 1.62.1
  category: net-libs
  useflags:
  - -hpack-tools
  - -jemalloc
  - -libressl
  - -test
  - -utils
  - cxx
  - xml
  state: ""
  packagerequires:
  - id: 0
    name: boost
    version: '>=0'
    category: dev-libs
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  - id: 0
    name: libxml2
    version: '>=0'
    category: dev-libs-2
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  - id: 0
    name: openssl
    version: '>=0'
    category: dev-libs
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: HTTP/2 C Library
  uri:
  - https://nghttp2.org/
  license: MIT
  buildtimestamp: ""
  labels:
    DEPEND: cxx? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist] ) libressl?
      ( dev-libs/libressl:= ) dev-libs/boost:=[threads(+)] ) hpack-tools? ( >=dev-libs/jansson-2.5
      ) jemalloc? ( dev-libs/jemalloc ) utils? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist]
      ) libressl? ( dev-libs/libressl:= ) >=dev-libs/libev-4.15 >=sys-libs/zlib-1.2.3
      net-dns/c-ares:= ) xml? ( >=dev-libs/libxml2-2.7.7:2 ) virtual/pkgconfig test?
      ( >=dev-util/cunit-2.1 )
    IUSE: cxx debug hpack-tools jemalloc libressl static-libs test +threads utils
      xml
    RDEPEND: cxx? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist] ) libressl?
      ( dev-libs/libressl:= ) dev-libs/boost:=[threads(+)] ) hpack-tools? ( >=dev-libs/jansson-2.5
      ) jemalloc? ( dev-libs/jemalloc ) utils? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist]
      ) libressl? ( dev-libs/libressl:= ) >=dev-libs/libev-4.15 >=sys-libs/zlib-1.2.3
      net-dns/c-ares:= ) xml? ( >=dev-libs/libxml2-2.7.7:2 )
    emerge.packages: net-libs/nghttp2
    kit: core-kit
    original.package.name: net-libs/nghttp2
    original.package.slot: "0"
    original.package.version: 1.62.1
  treedir: ""
  repository: ""
